## python-wilderness 0.1.6

=== Makefile ===
# Makefile for easier installation and cleanup.
#
# Uses self-documenting macros from here:
# http://marmelab.com/blog/2016/02/29/auto-documented-makefile.html

PACKAGE=wilderness
DOC_DIR=./docs/
VENV_DIR=/tmp/wilderness_venv/

.PHONY: help dist venv

.DEFAULT_GOAL := help

help:
	@grep -E '^[0-9a-zA-Z_-]+:.*?## .*$$' $(MAKEFILE_LIST) |\
		 awk 'BEGIN {FS = ":.*?## "}; {printf "\033[36m%-15s\033[0m\
		 %s\n", $$1, $$2}'

################
# Installation #
################

.PHONY: install

install: ## Install for the current user using the default python command
	python setup.py build_ext --inplace && \
		python setup.py install --user

################
# Distribution #
################

.PHONY: release dist

release: ## Make a release
	python make_release.py

dist: ## Make Python source distribution
	python setup.py sdist && python setup.py bdist_wheel

###########
# Testing #
###########

.PHONY: test mypy

test: venv ## Run unit tests in virtual environment
	source $(VENV_DIR)/bin/activate && \
		green -vv -s 1 -a ./tests && \
		mypy --check-untyped-defs $(PACKAGE)

test_direct: ## Run unit tests directly (without virtualenv)
	pip install .[tests] && \
		python -m unittest discover && \
		mypy --check-untyped-defs $(PACKAGE)

mypy: venv ## Run mypy
	source $(VENV_DIR)/bin/activate && mypy --check-untyped-defs $(PACKAGE)

#################
# Documentation #
#################

.PHONY: docs doc clean-docs

docs: doc

doc: venv ## Build documentation
	source $(VENV_DIR)/bin/activate && \
		m2r2 README.md && mv README.rst $(DOC_DIR)
	source $(VENV_DIR)/bin/activate && \
		m2r2 CHANGELOG.md && mv CHANGELOG.rst $(DOC_DIR)
	cd $(DOC_DIR) && \
		rm -f source/*.rst && \
		source $(VENV_DIR)/bin/activate && \
		sphinx-apidoc -H 'Wilderness API Documentation' -o source ../$(PACKAGE) && \
		touch source/AUTOGENERATED
	source $(VENV_DIR)/bin/activate && $(MAKE) -C $(DOC_DIR) html

clean-docs:
	$(MAKE) -C $(DOC_DIR) clean

#######################
# Virtual environment #
#######################

.PHONY: venv clean_venv

venv: $(VENV_DIR)/bin/activate

$(VENV_DIR)/bin/activate:
	test -d $(VENV_DIR) || python -m venv $(VENV_DIR)
	source $(VENV_DIR)/bin/activate && pip install -e .[dev]
	touch $(VENV_DIR)/bin/activate

clean_venv:
	rm -rf $(VENV_DIR)

############
# Clean up #
############

.PHONY: clean

clean: clean_venv clean-docs ## Clean build dist and egg directories left after install
	rm -rf ./dist
	rm -rf ./build
	rm -rf ./$(PACKAGE).egg-info
	rm -rf ./cover
	rm -f MANIFEST
	rm -f ./$(PACKAGE)/*.so
	rm -f ./*_valgrind.log*
	rm -rf ./.mypy_cache/
	find . -type f -iname '*.pyc' -delete
	find . -type d -name '__pycache__' -empty -delete
