## python-wilderness 0.1.10

=== Makefile ===
--- 
+++ 
@@ -3,9 +3,10 @@
 # Uses self-documenting macros from here:
 # http://marmelab.com/blog/2016/02/29/auto-documented-makefile.html
 
-PACKAGE=wilderness
-DOC_DIR=./docs/
-VENV_DIR=/tmp/wilderness_venv/
+PACKAGE  = wilderness
+DOC_DIR  = ./docs/
+VENV_DIR = /tmp/wilderness_venv/
+PYTHON   = python
 
 .PHONY: help dist venv
 
@@ -23,7 +24,7 @@
 .PHONY: install
 
 install: ## Install for the current user using the default python command
-	python setup.py build_ext --inplace && \
+	$(PYTHON) setup.py build_ext --inplace && \
 		python setup.py install --user
 
 ################
@@ -33,10 +34,10 @@
 .PHONY: release dist
 
 release: ## Make a release
-	python make_release.py
+	$(PYTHON) make_release.py
 
 dist: ## Make Python source distribution
-	python setup.py sdist && python setup.py bdist_wheel
+	$(PYTHON) setup.py sdist && $(PYTHON) setup.py bdist_wheel
 
 ###########
 # Testing #
@@ -44,18 +45,27 @@
 
 .PHONY: test mypy
 
-test: venv ## Run unit tests in virtual environment
+test: green pytest mypy
+
+green: venv ## Run unit tests in virtual environment
 	source $(VENV_DIR)/bin/activate && \
-		green -vv -s 1 -a ./tests && \
+		green -vv -s 1 -a ./tests
+
+test_direct: ## Run unit tests directly (without virtualenv)
+	$(PYTHON) -m pip install .[tests] && \
+		$(PYTHON) -m unittest discover && \
 		mypy --check-untyped-defs $(PACKAGE)
 
-test_direct: ## Run unit tests directly (without virtualenv)
-	pip install .[tests] && \
-		python -m unittest discover && \
-		mypy --check-untyped-defs $(PACKAGE)
+pytest: venv ## Tun unit tests with PyTest
+	source $(VENV_DIR)/bin/activate && \
+		pytest -ra -m 'not network'
 
 mypy: venv ## Run mypy
 	source $(VENV_DIR)/bin/activate && mypy --check-untyped-defs $(PACKAGE)
+
+cover: venv ## Create test coverage report
+	source $(VENV_DIR)/bin/activate && \
+		green -a -r -s 1 -vv ./tests
 
 #################
 # Documentation #
@@ -89,8 +99,8 @@
 venv: $(VENV_DIR)/bin/activate
 
 $(VENV_DIR)/bin/activate:
-	test -d $(VENV_DIR) || python -m venv $(VENV_DIR)
-	source $(VENV_DIR)/bin/activate && pip install -e .[dev]
+	test -d $(VENV_DIR) || $(PYTHON) -m venv $(VENV_DIR)
+	source $(VENV_DIR)/bin/activate && python -m pip install -e .[dev]
 	touch $(VENV_DIR)/bin/activate
 
 clean_venv:
