=== debian/changelog ===
python-wilderness (0.1.10-3) unstable; urgency=medium

  * d/control: fix wrong homepage.
  * d/patch: number python3.14 patch (now 0003) and forward it upstream.
  * d/watch: upgrade to v5.
  * d/source.lintian-overrides: add file to override false-positive.

 -- Louis-Philippe Véronneau <pollo@debian.org>  Sun, 22 Feb 2026 12:52:06 -0500

python-wilderness (0.1.10-2) unstable; urgency=medium

  * Team upload.
  * Add a patch to hybridize for Python 3.14 (Closes: #1127531)
  * Switch to pybuild-plugin-pyproject
  * Add debian/salsa-ci.yml
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Drop "Rules-Requires-Root: no", it is now the default

 -- Alexandre Detiste <tchet@debian.org>  Sat, 21 Feb 2026 21:43:43 +0100

python-wilderness (0.1.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)

 -- Alexandre Detiste <tchet@debian.org>  Thu, 28 Mar 2024 22:41:17 +0100
