=== debian/control ===
Source: python-wilderness
Section: python
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Louis-Philippe Véronneau <pollo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Standards-Version: 4.7.3
Vcs-Git: https://salsa.debian.org/python-team/packages/python-wilderness.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-wilderness
Homepage: https://github.com/GjjvdBurg/wilderness

Package: python3-wilderness
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Light wrapper around argparse for creating command line applications
 Wilderness is a light wrapper around argparse for creating command line
 applications with multiple subcommands, in the style of Git. Wilderness also
 makes it easy to generate man pages for your application.
 .
 Wilderness is heavily inspired by Cleo and argparse-manpage, but aims to stick
 as closely as possible to argparse to avoid users having to learn a new API.
